Bug 225723 - [maintainer update] sysutils/3dm: Change LICENSE_NAME and MASTER_SITES
Summary: [maintainer update] sysutils/3dm: Change LICENSE_NAME and MASTER_SITES
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yuri Victorovich
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-02-07 04:45 UTC by takefu
Modified: 2018-02-15 08:29 UTC (History)
1 user (show)

See Also:


Attachments
3dm-2.11.00.021_3,1.patch (2.80 KB, patch)
2018-02-07 04:45 UTC, takefu
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description takefu 2018-02-07 04:45:07 UTC
Created attachment 190379 [details]
3dm-2.11.00.021_3,1.patch

Change
  LICENSE_NAME and MASTER_SITES
  WWW url
  rc.d script

fix
  portlint Compliant
Comment 1 Mathieu Arnold freebsd_committer 2018-02-07 13:11:14 UTC
The distinfo change is dubious.
Comment 2 takefu 2018-02-08 00:51:28 UTC
(In reply to Mathieu Arnold from comment #1)

Ignore the change of distfile.
Should it be better to repair the patch file and fix it?
Comment 3 Yuri Victorovich freebsd_committer 2018-02-09 23:21:38 UTC
Committed with some changes.
Thank you for your submission!

Yuri
Comment 4 commit-hook freebsd_committer 2018-02-09 23:22:32 UTC
A commit references this bug:

Author: yuri
Date: Fri Feb  9 23:21:34 UTC 2018
New revision: 461346
URL: https://svnweb.freebsd.org/changeset/ports/461346

Log:
  sysutils/3dm: Change LICENSE_NAME

  License change related to Avago Technologies/Broadcom acquisition.

  Additional port changes:
  * Changed to DISTVERSION.
  * ONLY_FOR_ARCHS is moved into a proper place.
  * Improved pkg-message

  PR:		225723
  Submitted by:	takefu@airport.fm (maintainer)
  Approved by:	tcberner (mentor, implicit)

Changes:
  head/sysutils/3dm/Makefile
  head/sysutils/3dm/files/pkg-message.in
  head/sysutils/3dm/pkg-descr
Comment 5 Yuri Victorovich freebsd_committer 2018-02-09 23:59:03 UTC
FYI:  "Created by" can't be removed except by request of the person who is in "Created by".
Comment 6 takefu 2018-02-13 02:56:58 UTC
(In reply to Yuri Victorovich from comment #5)

Ignore the change of MASTER_SITES? :/
Comment 7 Yuri Victorovich freebsd_committer 2018-02-13 04:28:34 UTC
(In reply to takefu from comment #6)

Sorry, I misread Mathieu's comment ("The distinfo change is dubious.") as "MASTER_SITES is dubious", because URL starts from "docs": docs.broadcom.com

I will correct if there is no better URL.

Yuri
Comment 8 Yuri Victorovich freebsd_committer 2018-02-13 04:32:44 UTC
Need to change MASTER_SITES.
Comment 9 Mathieu Arnold freebsd_committer 2018-02-14 07:53:58 UTC
What are you all talking about? I said "distinfo", if I wanted to say MASTER_SITES, I would have said "MASTER_SITES".
Comment 10 Yuri Victorovich freebsd_committer 2018-02-15 08:29:24 UTC
MASTER_SITES updated.
Comment 11 commit-hook freebsd_committer 2018-02-15 08:29:27 UTC
A commit references this bug:

Author: yuri
Date: Thu Feb 15 08:29:20 UTC 2018
New revision: 461864
URL: https://svnweb.freebsd.org/changeset/ports/461864

Log:
  sysutils/3dm: MASTER_SITES update

  PR:		225723
  Reported by:	takefu@airport.fm
  Approved by:	tcberner (mentor, implicit)

Changes:
  head/sysutils/3dm/Makefile